> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Register dataset config



## OpenAPI

````yaml /api-specs/cloud/public-api.json put /model-monitor/v2/api/model/{model_id}/register-dataset/{dataset_type}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/model/{model_id}/register-dataset/{dataset_type}:
    summary: Dataset registration to a model.
    put:
      tags:
        - Model Monitoring models
      operationId: registerDatasetConfig
      parameters:
        - in: path
          name: model_id
          required: true
          schema:
            type: string
        - in: path
          name: dataset_type
          required: true
          schema:
            type: string
            enum:
              - prediction
              - ground_truth
      requestBody:
        required: true
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dmm-plier_datasetRegistrationConfigRequest'
      responses:
        '200':
          description: Successfully registered dataset to the Model.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_datasetRegistrationConfigRequest:
      title: Model Registration Config
      description: Config to be used to register a model with DMM.
      type: object
      required:
        - datasetDetails
      properties:
        variables:
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_variableConfigRegistrationRequest'
        datasetDetails:
          $ref: '#/components/schemas/dmm-plier_datasetConfigRegistrationRequest'
        run_cohort_analysis:
          type: boolean
    dmm-plier_variableConfigRegistrationRequest:
      title: Variable Config Registration
      description: Variable config to configure a variable of a model.
      type: object
      required:
        - name
        - valueType
        - variableType
      properties:
        name:
          description: Name of the variable.
          type: string
        valueType:
          $ref: '#/components/schemas/dmm-plier_valueType'
        variableType:
          $ref: '#/components/schemas/dmm-plier_variableType'
        binsCategories:
          description: Bin categories to be used for a categorical typed variable.
          type: array
          items:
            type: string
        binsEdges:
          description: Bin Edges to be used for a numerical typed variable.
          type: array
          items:
            type: number
        binsNum:
          $ref: '#/components/schemas/dmm-plier_binCount'
        binsEstimatorMethod:
          $ref: '#/components/schemas/dmm-plier_binsEstimatorMethod'
        featureImportance:
          description: Feature Importance for a feature variable.
          type: number
        precomputedBinCounts:
          description: Precomputed counts for bins.
          type: array
          items:
            type: integer
        predictionProbabilityLabels:
          description: Labels for the prediction probabilities.
          type: array
          items:
            type: string
        forPredictionOutput:
          description: Corresponding prediction variable name, for the given variable.
          type: string
    dmm-plier_datasetConfigRegistrationRequest:
      title: Dataset Config Registration
      description: Config for the dataset to be registered with the model.
      type: object
      required:
        - name
        - datasetType
        - datasetConfig
        - datasourceName
        - datasourceType
      properties:
        name:
          description: Name of the dataset.
          type: string
        datasetType:
          description: Type of the dataset.
          type: string
          enum:
            - file
        datasetConfig:
          $ref: '#/components/schemas/dmm-plier_datasetConfig'
        datasourceName:
          description: Name of the datasource to which the dataset belongs.
          type: string
        datasourceType:
          $ref: '#/components/schemas/dmm-plier_datasourceType'
        featureSetId:
          description: The version id for the current feature set version.
          type: string
        featureSetVersionId:
          description: >-
            The feature set id of the feature set to which the current feature
            set version belongs to.
          type: string
    dmm-plier_valueType:
      description: Type of data the variable has.
      type: string
      enum:
        - categorical
        - numerical
        - string
        - datetime
    dmm-plier_variableType:
      description: Variable type.
      type: string
      enum:
        - feature
        - prediction
        - row_identifier
        - timestamp
        - ground_truth
        - sample_weight
        - prediction_probability
    dmm-plier_binCount:
      description: Number of bins to be determined (for training datasets)
      type: integer
    dmm-plier_binsEstimatorMethod:
      description: Estimator method to be used to determine the number of bins.
      type: string
      enum:
        - auto
        - doane
        - fd
        - rice
        - scott
        - sqrt
        - sturges
    dmm-plier_datasetConfig:
      type: object
      description: Config for the dataset.
      required:
        - path
        - fileFormat
      properties:
        path:
          description: Path to the dataset in the datasource.
          type: string
        fileFormat:
          $ref: '#/components/schemas/dmm-plier_fileFormat'
    dmm-plier_datasourceType:
      description: Type of the datasource to which the dataset belongs.
      type: string
      enum:
        - s3
        - generic_s3
        - azure_blob
        - azure_data_lake_gen_2
        - google_cloud_storage
        - azure_data_lake_gen_1
        - hdfs
        - nfs
        - snowflake
    dmm-plier_fileFormat:
      description: Format of the file.
      type: string
      enum:
        - csv
        - parquet
        - snowflake
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Use the Monitoring Config JSON](/cloud/platform-capabilities/features/monitoring/8-json/index.md)
- [Datasets administration](/cloud/admin/data-administration/datasets.md)
- [Data Planes administration](/cloud/admin/platform-configuration/manage-data-planes.md)
- [Administer Slurm for HPC workloads](/cloud/admin/infrastructure-and-compute/administer-slurm.md)
